Package org.apache.sysds.utils.stats

# Class NativeStatistics

java.lang.Object
org.apache.sysds.utils.stats.NativeStatistics

public class NativeStatistics extends Object

## Constructor Summary

Constructors
Constructor
Description
`NativeStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`displayStatistics()`
`static void`
`incrementConv2dBwdDataTime(long time)`
`static void`
`incrementConv2dBwdFilterTime(long time)`
`static void`
`incrementConv2dTime(long time)`
`static void`
`incrementFailuresCounter()`
`static void`
`incrementLibMatrixMultTime(long time)`
`static void`
`incrementNumConv2dBwdDataCalls()`
`static void`
`incrementNumConv2dBwdFilterCalls()`
`static void`
`incrementNumConv2dCalls()`
`static void`
`incrementNumLibMatrixMultCalls()`
`static void`
`incrementNumSparseConv2dBwdDataCalls()`
`static void`
`incrementNumSparseConv2dBwdFilterCalls()`
`static void`
`incrementNumSparseConv2dCalls()`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeStatistics

public NativeStatistics()

## Method Details

### incrementFailuresCounter

public static void incrementFailuresCounter()

### incrementNumLibMatrixMultCalls

public static void incrementNumLibMatrixMultCalls()

### incrementLibMatrixMultTime

public static void incrementLibMatrixMultTime(long time)

### incrementNumConv2dCalls

public static void incrementNumConv2dCalls()

### incrementConv2dTime

public static void incrementConv2dTime(long time)

### incrementNumConv2dBwdDataCalls

public static void incrementNumConv2dBwdDataCalls()

### incrementConv2dBwdDataTime

public static void incrementConv2dBwdDataTime(long time)

### incrementNumConv2dBwdFilterCalls

public static void incrementNumConv2dBwdFilterCalls()

### incrementConv2dBwdFilterTime

public static void incrementConv2dBwdFilterTime(long time)

### incrementNumSparseConv2dCalls

public static void incrementNumSparseConv2dCalls()

### incrementNumSparseConv2dBwdFilterCalls

public static void incrementNumSparseConv2dBwdFilterCalls()

### incrementNumSparseConv2dBwdDataCalls

public static void incrementNumSparseConv2dBwdDataCalls()

### reset

public static void reset()

### displayStatistics

public static String displayStatistics()